Bug 113267 - [BlackBerry] Clean up load interface in WebPage
Summary: [BlackBerry] Clean up load interface in WebPage
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit BlackBerry (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Mary Wu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-25 20:00 PDT by Mary Wu
Modified: 2013-04-26 06:15 PDT (History)
7 users (show)

See Also:


Attachments
Patch (6.78 KB, patch)
2013-03-25 23:06 PDT, Mary Wu
no flags Details | Formatted Diff | Diff
rebase patch to latest (7.10 KB, patch)
2013-04-25 19:41 PDT, Mary Wu
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mary Wu 2013-03-25 20:00:36 PDT
several load interfaces in WebPage: load(), loadExtended(), and download(). loadExtended seems no where use it, load was
used to download sometimes. Could clean up and use only one api.
Comment 1 Mary Wu 2013-03-25 23:06:44 PDT
Created attachment 195008 [details]
Patch
Comment 2 Mary Wu 2013-04-25 19:41:25 PDT
Created attachment 199773 [details]
rebase patch to latest
Comment 3 Rob Buis 2013-04-26 05:46:04 PDT
Comment on attachment 199773 [details]
rebase patch to latest

Ok.
Comment 4 WebKit Commit Bot 2013-04-26 06:15:11 PDT
Comment on attachment 199773 [details]
rebase patch to latest

Clearing flags on attachment: 199773

Committed r149180: <http://trac.webkit.org/changeset/149180>
Comment 5 WebKit Commit Bot 2013-04-26 06:15:12 PDT
All reviewed patches have been landed.  Closing bug.